"""
Makes an iteratable object out of the given value. If value is already
iterable, it is simply returned. An exception is made for strings, which
are treated as non-iterable (It is assumed that you never want to have a
list of characters). For non iteratable values or strings, a list
containing only value is returned.
"""
def make_iter(value):
    if (not isinstance(value, basestring)):
        try:
            iter(value)
            return value
        except TypeError:
            pass
    return [value]
# vim: set sts=4 sw=4 expandtab:

"""
Decarator that catches any exception raised by the decorated function,
prints it to stdout and raises it again.
"""
def log_error(func):
    def show(*args, **kwargs):
        try:
            func(*args, **kwargs)
        except Exception, e:
            import traceback
            traceback.print_exc()
            raise e
    return show
